ECHO OFF
REM **************************************************************************
REM
REM                            Procedure XEDIT
REM                            ---------------
REM
REM    This procedure executes an editor program.  It is called by RUN.
REM
REM       %1 = Editor Program (.EXE)
REM       %2 = Input data file (full)
REM       %3 = Output data file (full) -- optional
REM       %4 = Write file (full) -- optional
REM       %5 = Reports files (.SUM, .QST, .FRQ) -- optional
REM       %6 = Lookup file (full) -- optional
REM
REM **************************************************************************
IF EXIST DIARY.LST DEL DIARY.LST
SET DI=%2[T:16]
IF NOT %3==NONE SET DO=%3[N:16]
IF NOT %4==NONE SET WR=%4[N:16]
IF NOT %6==NONE SET LU=%6[N:16]
SET ER=%1.ERR[C:16]
SET PR=DIARY.LST[N:8]
SET AR=%1.ARF[B92]
BREAK ON
%1.EXE %2,%1,%3
BREAK OFF
SET DI=
SET DO=
SET WR=
SET LU=
SET ER=
SET PR=
SET AR=
IF ERRORLEVEL 200 GOTO ABORT
IF NOT EXIST DIARY.LST GOTO ABORT
IF ERRORLEVEL 4 GOTO ERROR
IMPSVIEW   DIARY.LST
GOTO OK
:ERROR
IMPSVIEW/E DIARY.LST
:OK
IF %5==nul GOTO NORPT
IF %5==NUL GOTO NORPT
IF %3==NONE GOTO NONE3
IF     %4==NONE CALL XREPORTS %1 %2 %3 NUL %5 RUN
if NOT %4==NONE CALL XREPORTS %1 %2 %3 %4 %5 RUN
:NONE3
IF     %4==NONE CALL XREPORTS %1 %2 NUL NUL %5 RUN
IF NOT %4==NONE CALL XREPORTS %1 %2 NUL %4 %5 RUN
:ABORT
IMPSUTIL/E
ECHO 
ECHO Aborted!  --  File error(s) in program %1!
GOTO END
:NORPT
ECHO Run stopped without producing reports!
ECHO 
ECHO     Editor diary:      DIARY.LST  --  Just viewed!
IF %3==NONE GOTO NOOUTR
IF NOT EXIST %3 GOTO NOOUTR
ECHO     Output data file:  %3
:NOOUTR
IF %4==NONE GOTO END
IF NOT EXIST %4 GOTO END
ECHO     Write file:        %4
:END
