file type grouped file='ch.bch' record=recid 9-10 (A) case=1-8.
  record type "BR".
  data list /CHCLNO 1-3
            CHHHNO  4-6
            CHLNNO  7-8
            CHCTNO  11-12
            BR1     13-37 (A)
            BR2     38-39
            BR3D    40-41
            BR3M    42-43
            BR3Y    44-47
            BR4     48
            BR5     49
            BR6     50
            BR7     51
            BR8     52
            BR9     53-54.
  record type "VA".
  data list /VA1    11
            VA2     12-13
            VA3     14.
  record type "BF".
  data list /BF1    11
            BF2     12
            BF3A    13
            BF3B    14
            BF3C    15
            BF3D    16
            BF3E    17
            BF3F    18
            BF3G    19
            BF4     20.
  record type "CI".
  data list /CI1    11
            CI2     12
            CI3A    13
            CI3B    14
            CI3C    15
            CI3D    16
            CI3E    17
            CI3F    18
            CI3G    19
            CI3H    20
            CI3I    21
            CI4     22
            CI5     23
            CI6     24
            CI7     25
            CI8     26
            CI9     27
            CI10A   28-29
            CI10B   30-31
            CI10C   32-33
            CI10D   34-35
            CI10E   36-37
            CI10F   38-39
            CI10G   40-41
            CI10H   42-43
            CI10I   44-45
            CI10J   46-47
            CI10K   48-49
            CI11A   50-51
            CI11B   52-53
            CI11C   54-55
            CI11D   56-57
            CI11E   58-59
            CI11F   60-61
            CI11G   62-63
            CI11H   64-65
            CI11I   66-67
            CI11J   68-69.
  record type "ML".
  data list /ML1    11
            ML2     12
            ML3     13
            ML4A    14
            ML4B    15
            ML4C    16
            ML4D    17
            ML4Z    18
            ML5     19
            ML6     20
            ML7A    21
            ML7B    22
            ML7C    23
            ML7D    24
            ML7Z    25
            ML8     26
            ML9     27
            ML10    28-29.
  record type "IM".
  data list /IM1    11
            IM2D    12-13
            IM2M    14-15
            IM2Y    16-19
            IM3AD   20-21
            IM3AM   22-23
            IM3AY   24-27
            IM3BD   28-29
            IM3BM   30-31
            IM3BY   32-35
            IM3CD   36-37
            IM3CM   38-39
            IM3CY   40-43
            IM3DD   44-45
            IM3DM   46-47
            IM3DY   48-51
            IM4AD   52-53
            IM4AM   54-55
            IM4AY   56-59
            IM4BD   60-61
            IM4BM   62-63
            IM4BY   64-67
            IM4CD   68-69
            IM4CM   70-71
            IM4CY   72-75
            IM5D    76-77
            IM5M    78-79
            IM5Y    80-83
            IM6     84
            IM7     85
            IM8     86
            IM9     87
            IM10    88
            IM11    89-90
            IM12    91
            IM13    92-93
            IM14    94
            IM15A   95
            IM15B   96
            IM15C   97.
  record type "AN".
  data list /WEIGHT 11-13
            AN2A    14
            HEIGHT  15-18
            AN3     19-21
            AN4     22
end file type.

sort cases by CHCLNO CHHHNO CHLNNO.

save outfile = 'temp1.sav'
  /drop = recid.

DATA LIST FILE='chzscore.dat' RECORDS=1
/
 CHCLNO      1-3
 CHHHNO      4-6
 CHLNNO      7-8
*HL3         9-9
*HI3D       10-11
*HI3M       12-13
*HI3Y       14-17
*BR3D       18-19
*BR3M       20-21
*BR3Y       22-25
*WEIGHT     26-28
*AN2A       29-29
*HEIGHT     30-33
*AN4        34-34
 HAP        35-39   (2)
 HAZ        40-44   (2)
 HAM        45-50   (2)
 WAP        51-55   (2)
 WAZ        56-60   (2)
 WAM        61-66   (2)
 WHP        67-71   (2)
 WHZ        72-76   (2)
 WHM        77-82   (2)
 FLAG       83-83.

sort cases by CHCLNO CHHHNO CHLNNO.

save outfile = 'temp2.sav'.

get file = 'tmp1.sav'.

match files
  /file = *
  /table = 'tmp2.sav'
  /by CHCLNO CHHHNO CHLNNO.

save outfile = 'ch.sav'.

erase file = 'tmp1.sav'.
erase file = 'tmp2.sav'.
